libzypp: zypp::repo::SUSEMediaVerifier::Impl Class Reference

libzypp 17.36.6

Public Member Functions | Private Attributes | Related Symbols | List of all members
zypp::repo::SUSEMediaVerifier::Impl Class Reference

SUSEMediaVerifier::Impl. More...

## Public Member Functions
| Impl (const Pathname &path_r, media::MediaNr mediaNr_r)
| Impl (const Impl &rhs, media::MediaNr mediaNr_r)
const SMVData & | smvData () const
media::MediaNr | mediaNr () const
Pathname | mediaFilePath (media::MediaNr mediaNr_r=0) const
std::string | expectedAsUserString () const

## Private Attributes
shared_ptr< SMVData > | _smvData
media::MediaNr | _mediaNr = 1

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const SUSEMediaVerifier::Impl &obj)
| Stream output.

## Detailed Description

SUSEMediaVerifier::Impl.

Data parsed from the media.1/media file can be shared among different verifiers for this media.

This type of verifier however is convenience to tell in advance if the wrong media is inserted. Errors when retrieving the data are logged, but won't let any verification fail. If the medium happens to be right, everything is fine. If it's wrong, download time will tell.

Definition at line 75 of file SUSEMediaVerifier.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/2]

zypp::repo::SUSEMediaVerifier::Impl::Impl | ( | const Pathname & | path_r,
|  | media::MediaNr | mediaNr_r )
| inline

Definition at line 78 of file SUSEMediaVerifier.cc.

## ◆ Impl() [2/2]

zypp::repo::SUSEMediaVerifier::Impl::Impl | ( | const Impl & | rhs,
|  | media::MediaNr | mediaNr_r )
| inline

Definition at line 83 of file SUSEMediaVerifier.cc.

## Member Function Documentation

## ◆ smvData()

const SMVData & zypp::repo::SUSEMediaVerifier::Impl::smvData | ( |  | ) | const
| inline

Definition at line 88 of file SUSEMediaVerifier.cc.

## ◆ mediaNr()

media::MediaNr zypp::repo::SUSEMediaVerifier::Impl::mediaNr | ( |  | ) | const
| inline

Definition at line 91 of file SUSEMediaVerifier.cc.

## ◆ mediaFilePath()

Pathname zypp::repo::SUSEMediaVerifier::Impl::mediaFilePath | ( | media::MediaNr | mediaNr_r = 0 | ) | const
| inline

Definition at line 94 of file SUSEMediaVerifier.cc.

## ◆ expectedAsUserString()

std::string zypp::repo::SUSEMediaVerifier::Impl::expectedAsUserString | ( |  | ) | const
| inline

Definition at line 101 of file SUSEMediaVerifier.cc.

## Friends And Related Symbol Documentation

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const SUSEMediaVerifier::Impl & | obj )
| related

Stream output.

Definition at line 117 of file SUSEMediaVerifier.cc.

## Member Data Documentation

## ◆ _smvData

shared_ptr<SMVData> zypp::repo::SUSEMediaVerifier::Impl::_smvData
| private

Definition at line 112 of file SUSEMediaVerifier.cc.

## ◆ _mediaNr

media::MediaNr zypp::repo::SUSEMediaVerifier::Impl::_mediaNr = 1
| private

Definition at line 113 of file SUSEMediaVerifier.cc.

The documentation for this class was generated from the following file:

- zypp/repo/SUSEMediaVerifier.cc